from microbit import *



#----- VARIABLES ---------------------------------------------

Rserie = 47000 # valeur Résistance entre A0 et GND

# modélisation de la courbe T=f(Req)= a* Req +b
a = -0.00309
b =84.8

#---calcul de la température -----------------------------------
def Thermistor(Nmes) :
  Resistance = Nmes*Rserie/(1024-Nmes)
  Temp =a*Resistance+b
  return Temp



#--------------- BOUCLE PRINCIPALE -----------------------------

while True:
    lecture=pin2.read_analog() # Lecture de la valeur de la CTN
    print(lecture)
    Celsius = Thermistor(lecture) # Conversion de la valeur lue en température
    print(str(round(Celsius)) + '  C')
    display.show('T='+str(round(Celsius))+' ', delay=500, loop=True, wait=False)
    sleep(2000);
