import music
from microbit import *
from machine import time_pulse_us

pin1.read_digital() # configuration de pin1 en INPUT
frequence=660

#duration -1 signifie joué continuellement sinon duration en millisecondes
while True:
    if button_a.was_pressed():
        music.pitch(frequence, duration=-1, pin=pin0, wait=False)
        #retourne une période en µs
        duree = time_pulse_us(pin1, 1)*1.0+time_pulse_us(pin1,0)*1.0
        # la convertit en ms
        duree=duree/1000
        print(str(duree)+" ms") # retour REPL dans la console de l'éditeur
        print(str(1000/duree)+"Hz")
        display.show("T="+str(duree)+" ms : F = "+str(1000/duree) + " Hz ", delay=500, loop=True, wait=False) #affichage sur les DEL du micro:bit
        sleep(1000)
        music.stop(pin0)