#include <LiquidCrystal_I2C.h>
#include <Wire.h>
LiquidCrystal_I2C lcd(0x20,16,2);//0x3F est a changé en fonction de LCD
const char DOUT_TRIGGER = 7;
const char DIN_ECHO = 6;
float distance;

void setup() {
lcd.init();
lcd.backlight();
lcd.setCursor(0,0);
lcd.print("Bonjour");
delay(2000);
lcd.setCursor(0,1);
lcd.print("debut mesure");
pinMode(DIN_ECHO, INPUT);
pinMode(DOUT_TRIGGER, OUTPUT);
delay(1000);

}

void loop() {

digitalWrite(DOUT_TRIGGER, LOW);
delayMicroseconds(2);
digitalWrite(DOUT_TRIGGER, HIGH);
delayMicroseconds(10);
digitalWrite(DOUT_TRIGGER, LOW);

//d=(34000*t/100000)/2=17/100*t (= t/58.8235)
distance= pulseIn(DIN_ECHO, HIGH) /58.8235;
if (distance>400){
lcd.init();
lcd.setCursor(0,0);
lcd.print("echec de la ");
lcd.setCursor(0,1);
lcd.print("mesure");
delay(800);
}
else{
lcd.init();
lcd.setCursor(0,0);
lcd.print("distance");
lcd.setCursor(0,1);
lcd.print(distance);
lcd.print("cm");
delay(2000);
}
}
