//pour connecter le buzzer
const byte PIN_BUZZER = 9;

//pour mesurer une période
int pin = 7;
float duration;

 
void setup() { 
  //configuration du moniteur série
  Serial.begin(9600);
  //la pin de mesure configurée en entrée
  pinMode(pin, INPUT);
  //la pin du buzzer configurée en sortie
  pinMode(PIN_BUZZER, OUTPUT); 
  //  on joue la note ne continu :
  // il est conseillé de ne pas brancher le buzzer
  //  Note "Mi4" 660Hz 
  tone(PIN_BUZZER, 440);
}


void loop() { 
  //pulseIn mesure en microseconde
  duration = (pulseIn(pin, HIGH)+pulseIn(pin, LOW))/1000.0 ; //   1/2 période positive  && 1/2 période négative en µs  convertit en ms en divisant par 1000
  Serial.println("T= " +String(duration)+" ms");
  Serial.println("F= " +String(1000/duration) + " Hz");
  delay(1000); //affichage toutes les secondes (1000ms)
}
